// --- [ global.h ] -----------------------------------------------------------

#define NO_ERROR			0
#define ERROR				1

#define TRUE				1
#define FALSE				0

#define HARDWARE			1
#define SOFTWARE			0
#define SPI					3

#define SPI_MODE			HARDWARE				// auswhlen: SPI via Hardware oder Software
#define ADXL_CONNECTION SPI
//#define ADXL_BLOCK_SIZE	16						// die Gre eines Datenblocks bis zum -> Watermark-INT
														// siehe FIFO_CNTRL->samples
														
														// Alarmfrequenz fr Summer im Modus EVENT
#define TONE_HIGH			65						// Frequenz = FCPU / (2 * PRESCALE * OCRA)
#define TONE_LOW			80						// bei 64:  3.686400 / (2 * 8 * 64) = 3600 Hz

//#define DEBUG									// Register beim Programmstart ausgeben etc
#define TIMER2_CNT		2						// 10 Sekunden zustzliche Verzgerung bis zum Sleep

#define INT_PORT			PORTD
#define PIN_INT0			PD2
#define PIN_INT1			PD3
/*
benutzte Anschlsse :

- bei allen Varianten:
  INT1 des ADXL an INT0 des Controllers
  INT2 des ADXL an INT1 des Controllers
  Summer an PD6

- SPI -> siehe soft_spi_master.h  bzw. spi_hard.c

- TWI -> SCL/SDA entsprechend der Hardware
  4.7k von SDA/SCL nach VCC
  Pin ALT ADRESS an ADXL nach VCC
  PIN CS an ADXL nach VCC
*/

// --- [ eof ] ----------------------------------------------------------------